## Index

### Classes

- BehaviorFuture
- ChainFuture
- Future
- LiftFuture
- MapFuture
- MapToFuture
- PureFuture
- Sink
- Subscribtion

### Variables

- lift
- of

### Functions

- fromPromise
- sink

## Variables

### lift

lift: lift = Future.lift

- Defined in Future.ts:190

### of

of: of = Future.of

- Defined in Future.ts:188

## Functions

### fromPromise

- fromPromise<A>(p: Promise<A>): Future<A>

- - Defined in Future.ts:165

  #### Type parameters

  - #### A

  #### Parameters

  - ##### p: Promise<A>

  #### Returns Future<A>

### sink

- sink<A>(): Future<A>

- - Defined in Future.ts:151

  #### Type parameters

  - #### A

  #### Returns Future<A>

Generated using TypeDoc